<?php
declare (strict_types = 1);

namespace app\lib\event;
use think\Event;

class UserLogin extends Event
{
    // 事件名称（全局唯一，用于监听器识别）
    protected $name = 'user.registered'; 

    // 存储事件相关的数据（比如用户手机号）
    private $mobile;

    // 构造函数：接收并保存数据
    public function __construct(string $mobile)
    {
        $this->mobile = $mobile;
    }

    // 提供方法让监听器获取数据
    public function getMobile(): string
    {
        return $this->mobile;
    }
}
